package jalview.io.cache;


public interface Cacheable
{

  /**
   * method executed on cache initialisation
   */
  public void initCache();

  /**
   * method executed on cache update
   */
  public void updateCache();

  /**
   * Combo-box instance for the cache component
   * 
   * @return
   */
  public CacheBoxI<String> getCacheComboBox();

  /**
   * The unique key that will be used for storing user input for this cacheable
   * in the cache dictionary
   * 
   * @return
   */
  public String getCacheKey();
}
